Bug 1571093 - One single daemonset controller is responsible for 1/2 of all write workload on the cluster
Summary: One single daemonset controller is responsible for 1/2 of all write workload ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.9.z
Assignee: Tomáš Nožička
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On: 1501514 1536304 1574773
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 06:03 UTC by Tomáš Nožička
Modified: 2018-05-17 06:44 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Restricting DaemonSet nodes with project default node selector. Consequence: Deleting and creating DS pods in a loop on those nodes the got restricted by adding project default node selector. Fix: Patching upstream DS logic to be aware of project default node selector. Result: No longer creates/deletes DS pods on the nodes that got restricted by project default node selector.
Clone Of: 1501514
Environment:
Last Closed: 2018-05-17 06:43:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:44:00 UTC

Comment 1 Tomáš Nožička 2018-04-24 06:16:39 UTC
https://github.com/openshift/ose/pull/1205

It should be in the next release after 3.9.25-1.

Comment 5 Wang Haoran 2018-05-02 03:33:05 UTC
Verified with:
openshift v3.9.27
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

Steps:
https://bugzilla.redhat.com/show_bug.cgi?id=1501514#c26

Comment 8 errata-xmlrpc 2018-05-17 06:43:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.